Межсайтовый скриптинг в MediaWiki

Дата публикации:
16.07.2009
Дата изменения:
16.07.2009
Всего просмотров:
979
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MediaWiki 1.x
Уязвимые версии: MediaWiki версии 1.14.0 и 1.15.0

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "ip" на странице "Special:Blocks". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: wikipedia.sourceforge.net

Решение: Установите последнюю версию 1.14.1 или 1.15.1 с сайта производителя.

Ссылки: http://lists.wikimedia.org/pipermail/mediawiki-announce/2009-July/000087.html
https://bugzilla.wikimedia.org/show_bug.cgi?id=19693

или введите имя

CAPTCHA